Page MenuHomePhabricator

Change configuration for itwiki to consider deadurl and urlmorto to be synonyms
Closed, ResolvedPublic

Description

Hello, with reference to edit 104256057, please do not add |urlmorto=no where deadurl=no is already present.

Or even worse, with reference to edit 91075486, do not add |urlmorto=sì where deadurl=no is already present.

I would suggest to simply replace the parameter deadurl with urlmorto.
Thank you!

P.S. It would be nice if the bot passed fixing all the occurrences of urlmorto[^{}]*deadurl or deadurl[^{}]*urlmorto.

Event Timeline

Horcrux92 updated the task description. (Show Details)Apr 25 2019, 9:14 AM
Horcrux92 updated the task description. (Show Details)Apr 25 2019, 9:18 AM
Horcrux92 updated the task description. (Show Details)
Cirdan renamed this task from Double parameter deadurl/urlmorto on it.wiki to Change configuration for itwiki to consider deadurl and urlmorto to be synonyms.May 12 2019, 9:45 AM
Cirdan edited projects, added InternetArchiveBot (v2.0); removed InternetArchiveBot.
Cirdan moved this task from Unsorted to Bugs on the InternetArchiveBot (v2.0) board.
Cirdan added a subscriber: Cirdan.

That should be possible with a change to the template configuration. I assume that @Cyberpower678 will take care of that.

However, the InternetArchiveBot will not be able to fix template parameters, that's beyond the scope of the project. Please find a local bot operator for this part of the task.

However, the InternetArchiveBot will not be able to fix template parameters, that's beyond the scope of the project. Please find a local bot operator for this part of the task.

In the case of |urlmorto=no|deadurl=sì (or |urlmorto=sì|deadurl=no) we need a bot (like InternetArchiveBot) that visits the website and removes the parameter with "no" if the site is broken, "sì" otherwise. It would be a matter of fixing a mistake made, so I don't understand why someone else should take care of it.

Instead, merging the occurrences of |urlmorto=no|deadurl=no and |urlmorto=sì|deadurl=sì is a pretty simple task and I already fixed it.

Cyberpower678 closed this task as Resolved.May 26 2019, 8:08 PM